%global commit 707370873280180663c7b4c8730c25db408ee624
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout 20130320git%{shortcommit}

Name:           openshift-java-client
Version:        2.0.3
Release:        3.%{checkout}%{?dist}
Summary:        OpenShift Java Client

Group:          Development/Libraries
License:        EPL
URL:            http://openshift.redhat.com
Source0:        https://github.com/openshift/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildArch: noarch

BuildRequires: maven-local
BuildRequires: jsch
BuildRequires: mvn(org.easytesting:fest-assert)
BuildRequires: mvn(org.jboss:jboss-dmr)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(log4j:log4j)
BuildRequires: mvn(org.codehaus.mojo:properties-maven-plugin)
BuildRequires: mvn(commons-io:commons-io)
Requires: jsch

%description
This is a client for OpenShift written in java. It pretty much offers all
features that are currently available in the rhc-* command line tools
(create/rename a domain, create/destroy applications, list all existing
applications, available cartridges, embed cartridges etc.).

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -qn %{name}-%{commit}

%build
# Tests skipped because of wrong junit version
# (Fedora is 4.10, this expects 4.8)
%mvn_build --skip-tests

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc license epl-v10.html

%files javadoc -f .mfiles-javadoc
%doc license epl-v10.html

%changelog
* Fri Mar 29 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.0.3-3
- Fix changelog.
- Remove unneeded Requires.
- Added epl-v10.html as a doc to main and javadoc packages.

* Wed Mar 20 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.0.3-2
- Update to fix licensing and new Base64Coder implementation.
- Use new maven macros.

* Sun Jan 20 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.0.3-1
- Initial package.